%define _prefix /usr
%define PYTHON_VERSION ` python -c 'import sys; print "%d.%d" % sys.version_info[:2]'`

Summary: GDAL - a translator library for raster geospatial data formats
Name: gdal
Version: 1.2.1
Release: 0.fdr.2
Epoch: 1
URL: http://gdal.maptools.org/
Source: gdal-%{version}.tar.gz
Patch0: gdal-install.patch
License: MIT licence; Copyright by Frank Warmerdam
Group: Development/Libraries

BuildRequires: proj-devel, postgresql-devel, python, libjpeg-devel, xerces-j-devel, shapelib-devel, libungif-devel, zlib-devel, libpng-devel
BuildRoot: %{_builddir}/%{name}-root
Prefix: %{_prefix}

Requires: proj, xerces-j, libjpeg, shapelib, libungif, zlib, libpng, postgresql-libs

%package devel
Summary:	Development files for gdal
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description

GDAL is a translator library for raster geospatial data formats. As a library,
it presents a single abstract data model to the calling application for all
supported formats. An initial skeleton of GDAL has formed, and operates for a
few formats. 

%description devel
This package contains libgdal and the appropriate header files.

%prep
%setup gdal-%{version}
./configure --prefix=%{_prefix} --mandir=%{_mandir}
%patch0 -p0

%build
make

%install
rm -rf %{buildroot}
%makeinstall INST_PYMOD=%{buildroot}/usr/lib/python%{PYTHON_VERSION}/site-packages INST_MAN=%{buildroot}/%{_mandir}

%post
echo -n "Running ldconfig..."
ldconfig
echo "done."

%postun
echo -n "Running ldconfig..."
ldconfig
echo "done."

%clean
rm -rf %{_builddir}/%{name}-%{version}
rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%{_bindir}/*
%exclude %{_libdir}/debug
%{_libdir}/*
%{_datadir}/%{name}/
%{_mandir}/man1/*
%doc html ChangeLog VERSION NEWS HOWTO-RELEASE

%files devel
%defattr(-,root,root,-)
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/*.a
%exclude %{_libdir}/libgdal.la

%changelog
* Fri Aug 06 2004 Silke Reimer <silke.reimer@intevation.net>
- substantial changes to fit to Fedora naming conventions

* Wed Jun 30 2004 Silke Reimer <silke.reimer@intevation.net>
- Initial build
